package com.brilliance.isc.mda.dao;


import com.brilliance.isc.common.rmbbop.entity.Tdq;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TdqMapper {

    int insert(Tdq record);

    int insertSelective(Tdq record);

    int updateByPrimaryKeySelective(Tdq record);

    int updateByPrimaryKey(Tdq record);

    int deleteByPrimaryKey(Tdq record);

    int deleteByIds(Collection<Object> collection);

    Tdq selectByPrimaryKey(Tdq record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdq> dyncRead(Map<String, Object> dyncMap);

    Tdq selectTdqByOwnref(String banktrano);
}
